
#import "MainView.h"

int tx = -10;
int ty = -10;

@implementation MainView

- (void) drawRect: (CGRect) rect {      
    if (!gameManager) {
        gameManager = [GameManager getInstance];
    }
    
    [gameManager drawStatesWithFrame: rect];  
}

- (void) touchesBegan: (NSSet *) touches withEvent: (UIEvent *) event {	
    CGPoint p = [[touches anyObject] locationInView: self];     
    [gameManager touchBegan: p];  
    
    UITouch *touch = [touches anyObject];
    CGPoint t = [touch locationInView:self];
    tx = t.x;
    ty = t.y;
}

- (void) touchesMoved: (NSSet *) touches withEvent: (UIEvent *) event {   
    CGPoint p = [[touches anyObject] locationInView: self];        
    [gameManager touchMoved: p];
}

- (void) touchesEnded: (NSSet *) touches withEvent: (UIEvent *) event {
    [gameManager touchEnded];     
}

- (void) touchesCancelled: (NSSet *) touches withEvent: (UIEvent *) event {
    [gameManager touchEnded];
}

-(void) dealloc {
    [gameManager release];
    [super dealloc];
}

@end
